FROM ubuntu:20.04

# Set timezone to UTC. This prevents apt-get install SOME-PACKAGES from asking for timezone during setup
ENV TZ=UTC
RUN ln -snf /usr/share/zoneinfo/$TZ /etc/localtime && echo $TZ > /etc/timezone


RUN apt-get update && apt-get install -yy build-essential libphysfs-dev libboost-dev libfmt-dev cmake libsdl2-dev libsdl2-image-dev libsdl2-mixer-dev libsdl2-ttf-dev libboost-program-options-dev libutfcpp-dev zip gettext

RUN mkdir -p /staging/blockattack-game

COPY . /staging/blockattack-game

ENV BLOCKATTACK_VERSION 2.8.0

RUN cd /staging/blockattack-game && \
./packdata.sh && \
cmake . && \
make
